require 'bluekai/request'
RSpec.shared_context 'signature_mock' do
  before :each do
    allow(OpenSSL::HMAC)
      .to receive(:digest)
      .and_wrap_original do |method, digest, api_private_key, string_to_sign|
      hash = Digest::SHA256.hexdigest(string_to_sign)
      file = "spec/fixtures/signatures/#{hash}"
      next File.read(file) if File.exist?(file)
      result = method.call(digest, api_private_key, string_to_sign)
      File.open(file, 'w+') { |f| f.write(result) }
      result
    end
  end
end
